<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLibraryStorageTable extends Migration {

	public function up()
	{
		Schema::create('library_storage', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->string('provider', 255);
			$table->text('config')->nullable();
			$table->tinyInteger('enabled')->unsigned()->index()->default('1');
		});
	}

	public function down()
	{
		Schema::drop('library_storage');
	}
}