<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateComponentPlaylistTable extends Migration {

	public function up()
	{
		Schema::create('component_playlist', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('node_id')->unsigned()->index();
			$table->string('name', 255)->index();
			$table->tinyInteger('has_audio')->unsigned()->default('0');
			$table->tinyInteger('has_video')->unsigned()->default('0');
			$table->tinyInteger('has_stream')->unsigned()->default('0');
		});
	}

	public function down()
	{
		Schema::drop('component_playlist');
	}
}