<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateLibraryStorageFileMetaTable extends Migration {

	public function up()
	{
		Schema::create('library_storage_file_meta', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->integer('library_storage_file_id')->unsigned()->index();
			$table->integer('library_meta_id')->unsigned()->index();
			$table->string('value')->index();
		});
	}

	public function down()
	{
		Schema::drop('library_storage_file_meta');
	}
}